| Digital Power Starter Kit 3 Firmware dsPIC33C Boost Converter Voltage Mode Control Example |

Data Fields
P33C_GPIO_INSTANCE_s Struct Reference

`#include <common/p33c_pral/p33c_gpio.h>`

Collaboration diagram for P33C_GPIO_INSTANCE_s:

## Data Fields
union {
volatile struct ANSELx_s bits
volatile uint16_t value
} | ANSELx
union {
volatile struct TRISx_s bits
volatile uint16_t value
} | TRISx
union {
volatile struct PORTx_s bits
volatile uint16_t value
} | PORTx
union {
volatile struct LATx_s bits
volatile uint16_t value
} | LATx
union {
volatile struct ODCx_s bits
volatile uint16_t value
} | ODCx
union {
volatile struct CNPUx_s bits
volatile uint16_t value
} | CNPUx
union {
volatile struct CNPDx_s bits
volatile uint16_t value
} | CNPDx
union {
volatile struct tagCNCONABITS bits
volatile uint16_t value
} | CNCONx
union {
volatile struct CNEN0x_s bits
volatile uint16_t value
} | CNEN0x
union {
volatile struct CNSTATx_s bits
volatile uint16_t value
} | CNSTATx
union {
volatile struct CNEN1x_s bits
volatile uint16_t value
} | CNEN1x
union {
volatile struct CNFx_s bits
volatile uint16_t value
} | CNFx

## Detailed Description

Definition at line 271 of file p33c_gpio.h.

## Field Documentation

## ◆ ANSELx

union { ... } ANSELx

## ◆ bits [1/12]

volatile struct ANSELx_s bits

Definition at line 273 of file p33c_gpio.h.

## ◆ bits [2/12]

volatile struct TRISx_s bits

Definition at line 277 of file p33c_gpio.h.

## ◆ bits [3/12]

volatile struct PORTx_s bits

Definition at line 281 of file p33c_gpio.h.

## ◆ bits [4/12]

volatile struct LATx_s bits

Definition at line 285 of file p33c_gpio.h.

## ◆ bits [5/12]

volatile struct ODCx_s bits

Definition at line 289 of file p33c_gpio.h.

## ◆ bits [6/12]

volatile struct CNPUx_s bits

Definition at line 293 of file p33c_gpio.h.

## ◆ bits [7/12]

volatile struct CNPDx_s bits

Definition at line 297 of file p33c_gpio.h.

## ◆ bits [8/12]

volatile struct tagCNCONABITS bits

Definition at line 301 of file p33c_gpio.h.

## ◆ bits [9/12]

volatile struct CNEN0x_s bits

Definition at line 305 of file p33c_gpio.h.

## ◆ bits [10/12]

volatile struct CNSTATx_s bits

Definition at line 309 of file p33c_gpio.h.

## ◆ bits [11/12]

volatile struct CNEN1x_s bits

Definition at line 313 of file p33c_gpio.h.

## ◆ bits [12/12]

volatile struct CNFx_s bits

Definition at line 317 of file p33c_gpio.h.

## ◆ CNCONx

union { ... } CNCONx

## ◆ CNEN0x

union { ... } CNEN0x

## ◆ CNEN1x

union { ... } CNEN1x

## ◆ CNFx

union { ... } CNFx

## ◆ CNPDx

union { ... } CNPDx

## ◆ CNPUx

union { ... } CNPUx

## ◆ CNSTATx

union { ... } CNSTATx

## ◆ LATx

union { ... } LATx

## ◆ ODCx

union { ... } ODCx

## ◆ PORTx

union { ... } PORTx

## ◆ TRISx

union { ... } TRISx

## ◆ value

volatile uint16_t value

Definition at line 274 of file p33c_gpio.h.

The documentation for this struct was generated from the following file:

- dpsk_boost_vmc.X/sources/common/p33c_pral/p33c_gpio.h